Description

Creating backend modules should be very simple. I started with creating these viewhelpers and grouped them by category.
This grouping needs a patch in fluid as the directory level resolved by fluid is limited to one level.

To show you the way i used them here is my template (now all used in blog_example)

{namespace blog=Tx_BlogExample_ViewHelpers}<blog:be.startPage pageTitle="{title}" jumpToUrl="true" extJs="true" />    
<form action="" method="post" enctype="multipart/form-data">
<div class="typo3-fullDoc">
    <!-- Page header with buttons, path details and csh -->
    <div id="typo3-docheader">
        <div id="typo3-docheader-row1">
            <div class="buttonsleft">
                <div class="buttongroup">
                    <blog:be.buttons.csh table="_MOD_web_func" />
                    <blog:be.buttons.save />
                </div>
            </div>
            <div class="buttonsright">
                <div class="buttongroup">
                    <blog:be.buttons.shortcut setList="{setKeys}" />
                </div>
            </div>
        </div>
        <div id="typo3-docheader-row2">
            <div class="docheader-row2-left">
                <div class="docheader-funcmenu">
                    <blog:be.menus.functionMenu modMenu="{modMenu}" key="{modMenuKey}" />
                    <blog:be.menus.functionMenu modMenu="{submodMenu}" key="{submodMenuKey}" />
                </div>
            </div>
            <div class="docheader-row2-right">
                <blog:be.status.pagePath />
                <blog:be.status.pageInfo />
            </div>
        </div>
    </div>
    <!-- Content of module, for instance listing, info or editing -->
    <div id="typo3-docbody">
        <div id="typo3-inner-docbody">
             <h1>{title}</h1>
            <p>Welcome in the OldStyle backend module!<br />Looks like Standard, but is an Extbase driven module :)</p>    
        </div>
    </div>
</div>
</form>
<blog:be.endPage />  

attached is a patch for blog_example to show you how they will work

History
#1 - 2009-08-14 12:40 - Jochen Rau
- Tracker changed from Bug to Feature

#2 - 2009-08-17 18:38 - Steffen Kamper

I committed them to blog_example to show how it works. Later these viewhelpers could be part of FLUID, but for now i hope others start to work with
them and make suggestions for completition.

#3 - 2009-08-26 23:28 - Jochen Rau
- Category set to 432
- Status changed from New to Accepted
- Assigned To set to Steffen Kamper

#4 - 2009-10-02 12:13 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

#5 - 2010-07-12 13:04 - Bastian Waidelich
- Category set to ViewHelpers
- Status changed from Accepted to Resolved
- Assigned To changed from Steffen Kamper to Bastian Waidelich
- % Done changed from 0 to 100
- Branch set to v4

Following Backend ViewHelpers have been added with r1347 ff:
be.container, be.pageInfo, be.pagePath, be.tableList, be.menus.actionMenu, be.menus.actionMenuItem

I wouldn't consider them stable as the whole BE functionality of Extbase & Fluid is still rather experimental, but I'm closing this issue for now.

Files
blog_example_be_viewhelper.diff 38.9 kB 2009-08-12 Steffen Kamper
